KURLComboRequester Class Reference

`#include <kurlrequester.h>`

Inheritance diagram for KURLComboRequester:

## Public Member Functions

| KURLComboRequester (QWidget *parent=0, const char *name=0)
Public Member Functions inherited from KURLRequester
| KURLRequester (QWidget *parent=0, const char *name=0)
| KURLRequester (const QString &url, QWidget *parent=0, const char *name=0)
| KURLRequester (QWidget *editWidget, QWidget *parent, const char *name=0)
| ~KURLRequester ()
QString | url () const
void | setShowLocalProtocol (bool b)
void | setMode (uint m)
uint | mode () const
void | setFilter (const QString &filter)
QString | filter () const
bool | showLocalProtocol () const
virtual KFileDialog * | fileDialog () const
KLineEdit * | lineEdit () const
KComboBox * | comboBox () const
KPushButton * | button () const
KURLCompletion * | completionObject () const
KEditListBox::CustomEditor | customEditor ()

## Additional Inherited Members

Public Slots inherited from KURLRequester
void | setURL (const QString &url)
void | setKURL (const KURL &url)
virtual void | setCaption (const QString &caption)
void | clear ()
Signals inherited from KURLRequester
void | textChanged (const QString &)
void | returnPressed ()
void | returnPressed (const QString &)
void | openFileDialog (KURLRequester *)
void | urlSelected (const QString &)
Protected Slots inherited from KURLRequester
void | slotOpenDialog ()
Protected Member Functions inherited from KURLRequester
void | init ()
virtual void | virtual_hook (int id, void *data)
bool | eventFilter (QObject *obj, QEvent *ev)
Protected Attributes inherited from KURLRequester
KURLCompletion * | myCompletion
Properties inherited from KURLRequester
QString | url
bool | showLocalProtocol
QString | filter
uint | mode

## Detailed Description

URL requester with a combo box, for use in Designer.

Definition at line 290 of file kurlrequester.h.

## Constructor & Destructor Documentation

KURLComboRequester::KURLComboRequester | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a KURLRequester widget with a combobox.

Definition at line 424 of file kurlrequester.cpp.

The documentation for this class was generated from the following files:

- kurlrequester.h
- kurlrequester.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys